require( "timed_events" )

NewGame()

CreateSprite( "back", 0, 0 )
PlayBackMusic("music/highscore.mp3")

last_timed = 0

function create_timed()
	last_timed = local_time or 0
	
	AddTimedEvent( last_timed + 3000, function() CreateBonusStuff(  -150, RGB(255, 255, 200), bonus_ShieldThingy ) end )
	AddTimedEvent( last_timed + 3000, function() CreateBonusStuff(   150, RGB(155, 50, 100), bonus_OptionThingy ) end )
	
	AddTimedEvent( last_timed + 4000, function() CreateStarThingy(   300, 100, {0, 0} ) end )
	
	AddTimedEvent( last_timed + 4000, function() CreateRedStuff(   300, -400, { {0, 0}, { 400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 8000, function() CreateRedStuff(  -300, -400, { {0, 0}, {-400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 10000, function() CreateBlueStuff( 0 ) end )
	AddTimedEvent( last_timed + 11000, function() CreateBonusStuff( -100, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 12000, function() CreateRedStuff(  300, -400, { {0, 0}, { 400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 16000, function() CreateRedStuff( -300, -400, { {0, 0}, {-400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 24000, function() CreateRedStuff( -300, -400, { { 400, -200}, {-400, 0} }, 10 ) 
 						   CreateRedStuff(  300, -400, { {-400, -200}, { 500, 0} }, 10 ) end )
	AddTimedEvent( last_timed + 30000, function() CreateRedStuff( -300, -300, { {-200, 400} }, 5 ) 
 						   CreateRedStuff(  300, -300, { { 200, 400} }, 5 ) end )
	AddTimedEvent( last_timed + 32000, function() CreateBlueStuff( -100 ) end )
	AddTimedEvent( last_timed + 32000, function() CreateBlueStuff( 100 ) end )
	AddTimedEvent( last_timed + 32000, function() CreateRedStuff(   300, -400, { {0, 0}, { 400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 34000, function() CreateRedStuff(  -300, -400, { {0, 0}, {-400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 36000, function() CreateBonusStuff( -150, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 36000, function() CreateBonusStuff(    0, RGB(40, 62, 158), bonus_BombThingy ) end )
	AddTimedEvent( last_timed + 36000, function() CreateBonusStuff(  150, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 38000, function() CreateRedStuff(  300, -400,  { {0, 0}, { 400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 42000, function() CreateRedStuff( -300, -400,  { {0, 0}, {-400, 500} }, 5 ) end )
	AddTimedEvent( last_timed + 45000, function() CreateRedBoomy( -300, -400,  {0, 0} ) end )
	AddTimedEvent( last_timed + 46000, function() CreateRedStuff( -300, 0,  { {0, -300}, { 300, 0} }, 10 ) end )
	AddTimedEvent( last_timed + 47000, function() CreateRedBoomy( -300, 0,  { 100, 0} ) end )
	AddTimedEvent( last_timed + 48000, function() CreateRedStuff(  300, 0,  { {0, -300}, {-300, 0} }, 10 ) end )
	AddTimedEvent( last_timed + 49000, function() CreateRedBoomy(  300, 0,  {-100, 0} ) end )
	AddTimedEvent( last_timed + 51000, function() CreateRedStuff( -300, 100,  { {0, -400} }, 15 ) end )
	AddTimedEvent( last_timed + 51000, function() CreateRedStuff(  300, 100,  { {0, -400} }, 15 ) end )

	AddTimedEvent( last_timed + 56000, function() CreateRedStuff( -300, 0,  { { 300, -400} }, 30 ) end )
	AddTimedEvent( last_timed + 56000, function() CreateRedStuff(  300, 0,  { {-300, -400} }, 30 ) end )
	AddTimedEvent( last_timed + 56500, function() CreateRedBoomy( -300, 0,  {200, -300} ) end )
	AddTimedEvent( last_timed + 57500, function() CreateRedBoomy( -300, 0,  {100, -200} ) end )
	AddTimedEvent( last_timed + 58500, function() CreateRedBoomy( -300, 0,  {0, -100} ) end )
	AddTimedEvent( last_timed + 59500, function() CreateRedBoomy( -300, 0,  {-100, 0} ) end )
	AddTimedEvent( last_timed + 60500, function() CreateRedBoomy( -300, 0,  {-200, 100} ) end )
	AddTimedEvent( last_timed + 57000, function() CreateRedBoomy(  300, 0,  {-200, -300} ) end )
	AddTimedEvent( last_timed + 58000, function() CreateRedBoomy(  300, 0,  {-100, -200} ) end )
	AddTimedEvent( last_timed + 69000, function() CreateRedBoomy(  300, 0,  {0, -100} ) end )
	AddTimedEvent( last_timed + 60000, function() CreateRedBoomy(  300, 0,  {100, 0} ) end )
	AddTimedEvent( last_timed + 61000, function() CreateRedBoomy(  300, 0,  {200, 100} ) end )
	AddTimedEvent( last_timed + 66000, function() CreateBonusStuff( -150, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 66000, function() CreateBonusStuff(  150, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 68000, function() CreateBlueStuff( -150 ) end )
	AddTimedEvent( last_timed + 68000, function() CreateBlueStuff(  150 ) end )

	AddTimedEvent( last_timed + 71000, function() CreateBonusStuff( -150, RGB(14, 118, 60), bonus_WeaponThingy ) end )
	AddTimedEvent( last_timed + 71000, function() CreateBonusStuff(  150, RGB(40, 62, 158), bonus_BombThingy ) end )

	AddTimedEvent( last_timed + 73000, function() CreateRedStuff( -300, -400,  { { 200, -100}, { -300, -100 } }, 10 ) end )
	AddTimedEvent( last_timed + 73000, function() CreateRedStuff( -300, 0,  { { 200, -100}, { -300, -100 } }, 10 ) end )
	AddTimedEvent( last_timed + 73000, function() CreateRedStuff(  300, -400,  { { -200, -100}, { 300, -100 } }, 10 ) end )
	AddTimedEvent( last_timed + 73000, function() CreateRedStuff(  300, 0,  { { -200, -100}, { 300, -100 } }, 10 ) end )

	AddTimedEvent( last_timed + 86000, function() CreateBossSI() end )

	--AddTimedEvent( last_timed + 78000, create_timed )
	--last_timed = last_timed + 78000
end

BossDefeated = create_timed

create_timed()
--[[
players[1].options = 
{
	{ sprite = CreateSprite("sprite", players[1].x, players[1].y), x = players[1].x, y = players[1].y + 30 },
	{ sprite = CreateSprite("sprite", players[1].x, players[1].y), x = players[1].x, y = players[1].y + 60 },
	{ sprite = CreateSprite("sprite", players[1].x, players[1].y), x = players[1].x, y = players[1].y + 90 },
}

for i=1, 3 do
	SetObjAnim( players[1].options[i].sprite, 26, false )
	SetObjPos( players[1].options[i].sprite, players[1].options[i].x, players[1].options[i].y )
end
--]]

--[[
local spr3 = CreateSprite("fog", 0, 0)
--GroupObjects( spr3, CreateSprite("fog", 610, 512) )
local spr4 = CreateSprite("fog", 0, 0)
--GroupObjects( spr4, CreateSprite("fog", 610, 512) )
SetObjSpriteColor( spr3, {73/255, 120/255, 174/255, 0.25} )
SetObjSpriteColor( spr4, {73/255, 120/255, 174/255, 0.25} )
--]]


background = 
{
	{ spr1, 0, 0, 1, -1 },
	{ spr2, 0, -1024, 1, -1 },
}


