count = 32
main = {
	{ x = 0, y = 0, w = 32, h = 32 },	-- frame 0
	{ x = 32, y = 0, w = 32, h = 32 },	-- frame 1
	{ x = 64, y = 0, w = 32, h = 32 },	-- frame 2
	{ x = 96, y = 0, w = 32, h = 32 },	-- frame 3
	{ x = 0, y = 32, w = 32, h = 32 },	-- frame 4
	{ x = 32, y = 32, w = 32, h = 32 },	-- frame 5
	{ x = 64, y = 32, w = 32, h = 32 },	-- frame 6
	{ x = 96, y = 32, w = 32, h = 32 },	-- frame 7
	{ x = 0, y = 64, w = 32, h = 32 },	-- frame 8
	{ x = 32, y = 64, w = 32, h = 32 },	-- frame 9
	{ x = 64, y = 64, w = 32, h = 32 },	-- frame 10
	{ x = 96, y = 64, w = 32, h = 32 },	-- frame 11
	{ x = 0, y = 96, w = 32, h = 32 },	-- frame 12
	{ x = 32, y = 96, w = 32, h = 32 },	-- frame 13
	{ x = 64, y = 96, w = 32, h = 32 },	-- frame 14
	{ x = 96, y = 96, w = 32, h = 32 },	-- frame 15
	{ x = 128, y = 0, w = 32, h = 32 },	-- frame 16
	{ x = 160, y = 0, w = 32, h = 32 },	-- frame 17
	{ x = 192, y = 0, w = 32, h = 32 },	-- frame 18
	{ x = 224, y = 0, w = 32, h = 32 },	-- frame 19
	{ x = 128, y = 32, w = 32, h = 32 },	-- frame 20
	{ x = 160, y = 32, w = 32, h = 32 },	-- frame 21
	{ x = 192, y = 32, w = 32, h = 32 },	-- frame 22
	{ x = 224, y = 31, w = 32, h = 32 },	-- frame 23
	{ x = 128, y = 63, w = 32, h = 32 },	-- frame 24
	{ x = 160, y = 64, w = 32, h = 32 },	-- frame 25
	{ x = 192, y = 64, w = 32, h = 32 },	-- frame 26
	{ x = 224, y = 64, w = 32, h = 32 },	-- frame 27
	{ x = 128, y = 95, w = 32, h = 32 },	-- frame 28
	{ x = 160, y = 96, w = 32, h = 32 },	-- frame 29
	{ x = 192, y = 96, w = 32, h = 32 },	-- frame 30
	{ x = 224, y = 96, w = 32, h = 32 }	-- frame 31
}

overlay = {
	{
		{ x = 32, y = 0, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 0
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 1
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 2
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 3
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 4
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 5
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 6
		{ x = 224, y = 0, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 7
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 8
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 9
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 10
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 11
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 12
		{ x = 0, y = 96, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 13
		{ x = 0, y = 96, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 14
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 15
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 16
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 17
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 18
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 19
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 20
		{ x = 191, y = 32, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 21
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 22
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 23
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 24
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 25
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 26
		{ x = 224, y = 96, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 27
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 28
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 29
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 30
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 }	-- frame 31
	},
	{
		{ x = 64, y = 0, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 0
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 1
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 2
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 3
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 4
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 5
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 6
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 7
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 8
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 9
		{ x = 0, y = 96, w = 32, h = 32, ox = 0, oy = 0 },	-- frame 10
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 11
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 12
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 13
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 14
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 15
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 16
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 17
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 18
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 19
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 20
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 21
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 22
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 23
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 24
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 25
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 26
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 27
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 28
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 29
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },	-- frame 30
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 }	-- frame 31
	}
}
